- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moeoDetTournamentSelect< MOEOT > Class Template Reference

Selection strategy that selects ONE individual by deterministic tournament. More...

`#include <moeoDetTournamentSelect.h>`

Inheritance diagram for moeoDetTournamentSelect< MOEOT >:

List of all members.

## Public Member Functions
| moeoDetTournamentSelect (moeoComparator< MOEOT > &_comparator, unsigned int _tSize=2)
| Full Ctor.
| moeoDetTournamentSelect (unsigned int _tSize=2)
| Ctor without comparator.
const MOEOT & | operator() (const eoPop< MOEOT > &_pop)
| Apply the tournament to the given population.
## Protected Attributes
moeoComparator< MOEOT > & | comparator
| the comparator (used to compare 2 individuals)
moeoFitnessThenDiversityComparator< MOEOT > | defaultComparator
| a fitness then diversity comparator can be used as default
unsigned int | tSize
| the number of individuals in the tournament

## Detailed Description

### template<class MOEOT>
class moeoDetTournamentSelect< MOEOT >

Selection strategy that selects ONE individual by deterministic tournament.

Definition at line 24 of file moeoDetTournamentSelect.h.

## Constructor & Destructor Documentation

template<class MOEOT>

moeoDetTournamentSelect< MOEOT >::moeoDetTournamentSelect | ( | moeoComparator< MOEOT > & | _comparator,
|  | unsigned int | _tSize = `2` |
| ) |  |  | `[inline]`

Full Ctor.

Parameters:

  | _comparator | the comparator (used to compare 2 individuals)
  | _tSize | the number of individuals in the tournament (default: 2)

Definition at line 33 of file moeoDetTournamentSelect.h.

References moeoDetTournamentSelect< MOEOT >::tSize.

template<class MOEOT>

moeoDetTournamentSelect< MOEOT >::moeoDetTournamentSelect | ( | unsigned int | _tSize = `2` | ) | `[inline]`

Ctor without comparator.

A moeoFitnessThenDiversityComparator is used as default.

Parameters:

  | _tSize | the number of individuals in the tournament (default: 2)

Definition at line 49 of file moeoDetTournamentSelect.h.

References moeoDetTournamentSelect< MOEOT >::tSize.

## Member Function Documentation

template<class MOEOT>

const MOEOT& moeoDetTournamentSelect< MOEOT >::operator() | ( | const eoPop< MOEOT > & | _pop | ) | `[inline]`

Apply the tournament to the given population.

Parameters:

  | _pop | the population

Definition at line 65 of file moeoDetTournamentSelect.h.

References moeoDetTournamentSelect< MOEOT >::comparator, and moeoDetTournamentSelect< MOEOT >::tSize.

The documentation for this class was generated from the following file:

- moeoDetTournamentSelect.h